## org.apache.mahout.utils.regex
Class IdentityTransformer

    java.lang.Object
      org.apache.mahout.utils.regex.IdentityTransformer

All Implemented Interfaces:
  RegexTransformer

    public final class IdentityTransformer

extends Object
implements RegexTransformer

No-op

Constructor Summary
`IdentityTransformer()`

Method Summary
`String` `transformMatch(String match)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityTransformer

    public IdentityTransformer()

Method Detail

### transformMatch

    public String transformMatch(String match)

  Specified by:
    `transformMatch` in interface `RegexTransformer`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.